###  | #  |

Public Member Functions | List of all members
HasDynamicYStepTypeConcept< T > Struct Template Reference
Pixel Locator » Concepts

Concept for locators and views that can define a type just like the given locator or view, except it supports runtime specified step along the Y navigation. More...

`#include <dynamic_step.hpp>`

## Public Member Functions
void | constraints ()

## Detailed Description

template<typename T>
struct boost::gil::HasDynamicYStepTypeConcept< T >

Concept for locators and views that can define a type just like the given locator or view, except it supports runtime specified step along the Y navigation.

concept HasDynamicYStepTypeConcept<typename T>
{
typename dynamic_y_step_type<T>;
where Metafunction<dynamic_y_step_type<T> >;
};
boost::gil::HasDynamicYStepTypeConcept
Concept for locators and views that can define a type just like the given locator or view,...
Definition: concepts/dynamic_step.hpp:60
boost::gil::Metafunction
Concept for type as metafunction requirement.
Definition: basic.hpp:164
boost::gil::dynamic_y_step_type
Base template for types that model HasDynamicYStepTypeConcept.
Definition: dynamic_step.hpp:21

The documentation for this struct was generated from the following file:

- concepts/dynamic_step.hpp